Retrieve a WhatsApp phone number
Returns one WhatsApp phone number linked to the authenticated Telnyx account. For a coexistence number in the syncing state, the response includes sync_progress.
GET
/
whatsapp
/
phone_numbers
/
{phone_number}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.whatsapp.phoneNumbers.retrievePhoneNumber('phone_number');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.whatsapp.phone_numbers.retrieve_phone_number(
"phone_number",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Whatsapp.PhoneNumbers.GetPhoneNumber(
context.TODO(),
"phone_number",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.whatsapp().phoneNumbers().retrievePhoneNumber("phone_number");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.whatsapp.phone_numbers.retrieve_phone_number("phone_number")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->whatsapp->phoneNumbers->retrievePhoneNumber(
'phone_number',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers retrieve-phone-number \
--api-key 'My API Key' \
--phone-number phone_numbercurl --request GET \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers/{phone_number} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "whatsapp_business_phone_number",
"phone_number": "<string>",
"phone_number_id": "<string>",
"waba_id": "<string>",
"user_id": "<string>",
"display_name": "<string>",
"quality_rating": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"calling_enabled": true,
"is_on_biz_app": true,
"coexistence_state": "pending_onboarding",
"sync_deadline": "2023-11-07T05:31:56Z",
"sync_progress": {
"contacts_status": "<string>",
"history_status": "<string>",
"history_phase": 123,
"history_chunk_order": 123,
"history_progress": 50
}
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number (E.164 format)
Response
Successful response with one WhatsApp phone number
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.whatsapp.phoneNumbers.retrievePhoneNumber('phone_number');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.whatsapp.phone_numbers.retrieve_phone_number(
"phone_number",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Whatsapp.PhoneNumbers.GetPhoneNumber(
context.TODO(),
"phone_number",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.whatsapp().phoneNumbers().retrievePhoneNumber("phone_number");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.whatsapp.phone_numbers.retrieve_phone_number("phone_number")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->whatsapp->phoneNumbers->retrievePhoneNumber(
'phone_number',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers retrieve-phone-number \
--api-key 'My API Key' \
--phone-number phone_numbercurl --request GET \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers/{phone_number} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "whatsapp_business_phone_number",
"phone_number": "<string>",
"phone_number_id": "<string>",
"waba_id": "<string>",
"user_id": "<string>",
"display_name": "<string>",
"quality_rating": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"calling_enabled": true,
"is_on_biz_app": true,
"coexistence_state": "pending_onboarding",
"sync_deadline": "2023-11-07T05:31:56Z",
"sync_progress": {
"contacts_status": "<string>",
"history_status": "<string>",
"history_phase": 123,
"history_chunk_order": 123,
"history_progress": 50
}
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}